%define upstream_name    Text-Aspell
%define upstream_version 0.09

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Perl interface to the GNU Aspell library
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl-devel
BuildRequires:  aspell-devel 


%{?perl_default_filter}

%description
This module provides a Perl interface to the GNU Aspell library. The GNU Aspell
library provides access to system spelling libraries, including a spell
checker. This module is to meet the need of looking up many words, one at a
time, in a single session.

This is a Perl xs interface which should provide good performance compared to
forking the aspell program for every word.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
#make test

%files
%doc Changes README
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.90.0-26.mga9
+ Revision: 1862439
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.90.0-25.mga9
+ Revision: 1797863
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.90.0-24.mga9
+ Revision: 1727145
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.90.0-23.mga8
+ Revision: 1594753
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.90.0-22.mga8
+ Revision: 1530121
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.90.0-21.mga8
+ Revision: 1433918
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-20.mga7
+ Revision: 1293877
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.90.0-19.mga7
+ Revision: 1249287
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.90.0-18.mga7
+ Revision: 1166947
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.90.0-17.mga7
+ Revision: 1149936
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-16.mga7
+ Revision: 1126603
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-15.mga6
+ Revision: 1034896
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-14.mga6
+ Revision: 958078
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.90.0-13.mga6
+ Revision: 845313
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.90.0-12.mga6
+ Revision: 841428
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-11.mga5
+ Revision: 740887
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.90.0-10.mga5
+ Revision: 736055
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-9.mga5
+ Revision: 686595
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-8.mga5
+ Revision: 631750
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-7.mga4
+ Revision: 525017
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.90.0-6.mga4
+ Revision: 431795
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-5.mga3
+ Revision: 373994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-4.mga3
+ Revision: 251209
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.90.0-3.mga2
+ Revision: 105027
- Rebuild for perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 23394
- cleaning spec file
- imported package perl-Text-Aspell


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-2mdv2011.0
+ Revision: 556157
- rebuild for perl 5.12

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 405606
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-5mdv2009.0
+ Revision: 258610
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.09-4mdv2009.0
+ Revision: 246610
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.09-2mdv2008.1
+ Revision: 151407
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.1
+ Revision: 97571
- update to new version 0.09

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2008.0
+ Revision: 90081
- rebuild

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2008.0
+ Revision: 22120
- 0.08


* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
- New version 0.06

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05
- fix URL source

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-3mdk 
- better url
- spec cleanup
- don't ship useless empty directories
- disable test, seems to be broken

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.04-2mdk
- Rebuild for new perl

* Wed Jun 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.04-1mdk 
- first mdk release

